Hilmar Preusse wrote:
>>So should we go for linux and unknown as platform? Or always
>>unknown?
>>

> I've upstream in Cc. Ask them for either updating the MIB or go for
> unknown.


Can you please give your exact platform details?

"unknown" should cover any system not mentioned explicitely before:

hpux9 OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 1 }
sunos4 OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 2 }
solaris OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 3 }
osf OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 4 }
ultrix OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 5 }
hpux10 OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 6 }
netbsd OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 7 }
freebsd OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 8 }
irix OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 9 }
linux OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 10 }
bsdi OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 11 }
openbsd OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 12 }
win32 OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 13 }
hpux11 OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 14 }
aix OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 15 }
macosx OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 16 }
unknown OBJECT IDENTIFIER ::= { netSnmpAgentOIDs 255 }

A sysObject.0 value of 1.3.6.0.0.0.0.0.0.0 should not happen.
"netbsd" should currently cover NetBSD 1.x and 2.x. Haven't tried 3.x yet.


+Thomas

--
Thomas Anders (thomas.anders at blue-cable.de)


-------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=...057&dat=121642
_______________________________________________
Net-snmp-coders mailing list
Net-snmp-coders@lists.sourceforge.net
https://lists.sourceforge.net/lists/...et-snmp-coders